<?php

namespace App\Models;


class Schedule extends AbstractModel
{

    protected $table = 'schedules';

    protected $fillable = [
        'arrangement_id', 'type', 'ETD', 'ETA', 'status', 'issue_remark'
    ];

    public function shippingArrangement()
    {
        return $this->belongsTo(ShippingArrangement::class, 'arrangement_id');
    }

    public function customIssue()
    {
        return $this->hasOne(OrderStep::class, 'schedule_id');
    }
}
